/*#include "header.h"
#include "uart.h"

char ErrorMemory[10];
uint8_t ErrorCount = 0;


//***************************************************
// Fehler in den ErrorMemory schreiben
//***************************************************
unsigned char error_handler(ERRORCODE errormsg){

	static unsigned char error_number;
	switch(errormsg)
	{
		case AckknowledgeTimeout:     	// Kein AckknowledgeBit wurde Empfangen
									  	error_number = 1;
					                  	break;
		case IncompleteTransmission:  	// Unvollstndige bertragung von Bytes
										error_number = 2;
					                	break;
		case ChecksummeError:			// falsche Checksumme Empfangen
										error_number = 3;
										break;
		case UnkownID:					// unbekannter Identifier erhalten
										error_number = 4;
										break;
	}
	
	if (ErrorCount <10){
	ErrorMemory[ErrorCount] = error_number;
	ErrorCount++;
	}
}
//***************************************************
//***************************************************

//***************************************************
// ErrorMemory auslesen
//***************************************************
void read_ErrorMemory(){

	for(uint8_t i = 0; i<10; i++){
		
		if ((i== 0) & (ErrorMemory[i] == 0)){
			uart_puts("\r\nKeine Fehler vorhanden");
		}
		
		switch(ErrorMemory[i])
		{
			case 1:                		// Kein AckknowledgeBit wurde Empfangen
										uart_puts("\r\n");
										itoa(i,text,10);
										uart_puts(text);	 
										uart_puts(" Ackknowledge Timeout");
						                break;
			case 2:        	 			// Unvollstndige bertragung
										uart_puts("\r\n");
										itoa(i,text,10);
										uart_puts(text);
										uart_puts(" Incomplete Transmission");
						                break;
			case 3:						// falsche Checksumme Empfangen
										uart_puts("\r\n");
										itoa(i,text,10);
										uart_puts(text);
										uart_puts(" Checksumme Error");
						                break;
			case 4:						// falsche Checksumme Empfangen
										uart_puts("\r\n");
										itoa(i,text,10);
										uart_puts(text);
										uart_puts(" Unknown ID received");
						                break;											
		}
	}
}
//***************************************************
//***************************************************

//***************************************************
// ErrorMemory lschen
//***************************************************
void delete_ErrorMemory(){

	for(uint8_t i = 0; i<100; i++){
		ErrorMemory[i] = 0;
	}
	ErrorCount = 0;
}
//***************************************************
//***************************************************
*/
