/********************************************************************
RFM12-Funkmodul (Empfangen und Senden) mit manuellem Umschalten
IAR Embedded Workbench IDE, C
Frequenz: 434MHz
Datenrate: 4.8kbps

Ablauf:
Wartet auf nIRQ des Funkmoduls, liest anschlieend die empfangenen Daten
aus, bildet aus 16 Datenbyte die ChkSumme und vergleicht diese mit dem 17.
empfangenen Datenbyte. Erfolg wird mit LED2 signalisiert.
Dies geschieht in einer Endlosschleife.
*/

#include "header.h"
#include "uart.h"


int main(void)
{ 

	sei();				// globale Interrupts aktivieren	
	Main_Init();		// Interrupts, Timer und Variablen initialisieren
	
	//HAUPTPROGRAMM
	while(1){
		
		// WENN DATEN IM RINGPUFFER, AUF DEN UART SCHREIBEN 
		Write_to_UART();		// in UART.C
		
		//WENN DATEN AUF RFM, IN DEN RINGPUFFER SCHREIBEN		
		Read_a_Packet_RFM(); 	// in Funktionen_Empfangen.c
		
	}
	
}




